package orderprocessing;

import java.util.Vector;
import java.util.Enumeration;
import java.util.StringTokenizer;
import java.io.ObjectOutputStream;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.FileOutputStream;
import java.io.FileInputStream;

public class InvoiceGenerator
{	public static void main(String [] args)
	{	// read a date from the command line and generate invoices
		// for all orders in order file that should ship on or before
		// today, removing the orders you ship and entering new orders
		// for partial ships.
		// save all invoices in an invoice register in order of invoice
		// number. 
		
		// currently this doesn't update the database. It just shows 
		// invoices for all orders.
		
		OrderProcessor.open();
		InventoryManager.displayAll();
		Enumeration e = Order.orders();
		while(e.hasMoreElements())
		{	Order order = (Order)e.nextElement();
			order.display();
			Invoice invoice = orderProcessor.generateInvoice(order);
			invoice.display();
			InventoryManager.displayAll();
		}		
		//OrderProcessor.close(); Don't save until you fix this. 	
	}

	private static OrderProcessor orderProcessor =  OrderProcessor.orderProcessor;
	
}